#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-ugly-1.20.0

- Next

  gstreamer-vaapi-1.20.0

- Up
- Home

# gst-libav-1.20.0

## Introduction to GStreamer Libav

The GStreamer Libav package contains GStreamer plugins for Libav (a fork of FFmpeg).

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.20.0.tar.xz

- Download MD5 sum: 755e2844e1bd346eadc300d584d6afd6

- Download size: 272 KB

- Estimated disk space required: 14 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### GStreamer Libav Dependencies

#### Required

FFmpeg-4.4.1 and gst-plugins-base-1.20.0

#### Recommended

yasm-1.3.0

#### Optional

hotdoc and Orc

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/gst10-libav

## Installation of GStreamer Libav

### Note

If you do not have an Objective-C compiler installed, the build system for this package will emit a warning about a failed sanity check. This is harmless, and it is safe to continue.

Install GStreamer Libav by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr       \
           --buildtype=release \
           -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/svn/ \
           -Dpackage-name="GStreamer 1.20.0 BLFS" &&
    ninja

To test the results, issue: ninja test

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Library: libgstlibav.so
Installed Directory: None

Last updated on

- Prev

  gst-plugins-ugly-1.20.0

- Next

  gstreamer-vaapi-1.20.0

- Up
- Home